Bug 1124679 - [abrt] gjs: atk_object_notify_state_change(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: atk_object_notify_state_change(): gjs-console killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:02ce3e11207ac1d1aae939d24c6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 04:48 UTC by Carlos Morel-Riquelme
Modified: 2015-12-02 16:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:19:31 UTC


Attachments (Terms of Use)
File: backtrace (43.58 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (44.86 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (22.33 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (1.06 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (100.21 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (2.29 KB, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (381 bytes, text/plain)
2014-07-30 04:48 UTC, Carlos Morel-Riquelme
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 735744 None None None Never

Description Carlos Morel-Riquelme 2014-07-30 04:48:21 UTC
Version-Release number of selected component:
gjs-1.41.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --gapplication-service
crash_function: atk_object_notify_state_change
executable:     /usr/bin/gjs-console
kernel:         3.15.6-200.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 atk_object_notify_state_change at /lib64/libatk-1.0.so.0
 #1 ev_view_accessible_set_page_range at /lib64/libevview3.so.3
 #2 view_update_range_and_current_page at /lib64/libevview3.so.3
 #3 ev_view_size_allocate at /lib64/libevview3.so.3
 #8 gtk_widget_size_allocate_with_baseline at /lib64/libgtk-3.so.0
 #9 gtk_scrolled_window_allocate_child at /lib64/libgtk-3.so.0
 #10 gtk_scrolled_window_size_allocate at /lib64/libgtk-3.so.0
 #15 gtk_widget_size_allocate_with_baseline at /lib64/libgtk-3.so.0
 #16 gtk_stack_size_allocate at /lib64/libgtk-3.so.0
 #17 g_cclosure_marshal_VOID__BOXEDv at /lib64/libgobject-2.0.so.0

Comment 1 Carlos Morel-Riquelme 2014-07-30 04:48:24 UTC
Created attachment 922402 [details]
File: backtrace

Comment 2 Carlos Morel-Riquelme 2014-07-30 04:48:26 UTC
Created attachment 922403 [details]
File: cgroup

Comment 3 Carlos Morel-Riquelme 2014-07-30 04:48:27 UTC
Created attachment 922404 [details]
File: core_backtrace

Comment 4 Carlos Morel-Riquelme 2014-07-30 04:48:29 UTC
Created attachment 922405 [details]
File: dso_list

Comment 5 Carlos Morel-Riquelme 2014-07-30 04:48:30 UTC
Created attachment 922406 [details]
File: environ

Comment 6 Carlos Morel-Riquelme 2014-07-30 04:48:31 UTC
Created attachment 922407 [details]
File: exploitable

Comment 7 Carlos Morel-Riquelme 2014-07-30 04:48:32 UTC
Created attachment 922408 [details]
File: limits

Comment 8 Carlos Morel-Riquelme 2014-07-30 04:48:34 UTC
Created attachment 922409 [details]
File: maps

Comment 9 Carlos Morel-Riquelme 2014-07-30 04:48:36 UTC
Created attachment 922410 [details]
File: open_fds

Comment 10 Carlos Morel-Riquelme 2014-07-30 04:48:37 UTC
Created attachment 922411 [details]
File: proc_pid_status

Comment 11 Carlos Morel-Riquelme 2014-07-30 04:48:38 UTC
Created attachment 922412 [details]
File: var_log_messages

Comment 12 Ankur Sinha (FranciscoD) 2014-08-31 13:15:15 UTC
Another user experienced a similar problem:

Random crash in gnome-documents

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --gapplication-service
crash_function: atk_object_notify_state_change
executable:     /usr/bin/gjs-console
kernel:         3.17.0-0.rc2.git2.2.fc22.1.x86_64
package:        gjs-1.41.4-2.fc21
reason:         gjs-console killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Ankur Sinha (FranciscoD) 2014-08-31 13:24:57 UTC
Filed upstream.

Comment 14 Hapoofesgeli 2014-10-08 17:10:48 UTC
Another user experienced a similar problem:

This crash happened when i was trying to open some PDF files in Documents.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --gapplication-service
crash_function: atk_object_notify_state_change
executable:     /usr/bin/gjs-console
kernel:         3.16.3-302.fc21.x86_64
package:        gjs-1.42.0-1.fc21
reason:         gjs-console killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Julian Stecklina 2014-11-27 12:15:10 UTC
Another user experienced a similar problem:

Opened a PDF, entered a search string and hit enter.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --gapplication-service
crash_function: atk_object_notify_state_change
executable:     /usr/bin/gjs-console
kernel:         3.17.4-300.fc21.x86_64
package:        gjs-1.42.0-1.fc21
reason:         gjs-console killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 kubrick@fgv6.net 2014-12-28 00:01:25 UTC
Another user experienced a similar problem:

type something in the text field and press enter. Reproducible all the time.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --gapplication-service
crash_function: atk_object_notify_state_change
executable:     /usr/bin/gjs-console
kernel:         3.17.7-300.fc21.x86_64
package:        gjs-1.42.0-1.fc21
reason:         gjs-console killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora End Of Life 2015-11-04 14:31:39 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-12-02 03:19:36 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.